%define modname memcached
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A91_%{modname}.ini

Summary:	A libmemcached library interface for PHP
Name:		php-%{modname}
Version:	0.1.4
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/memcached
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	memcached-devel
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This extension uses libmemcached library to provide API for communicating with
memcached servers.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \
    --with-zlib-dir=%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog memcached-api.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-2mdv2009.1
+ Revision: 346519
- rebuilt for php-5.2.9

* Sun Feb 22 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-1mdv2009.1
+ Revision: 343816
- 0.1.4

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2009.1
+ Revision: 341778
- rebuilt against php-5.2.9RC2

* Sat Feb 07 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdv2009.1
+ Revision: 338374
- import php-memcached


* Sat Feb 07 2009 Oden Eriksson <oeriksson@mandriva.org> 0.1.3-1mdv2009.1
- initial Mandriva package
